## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl.AnnotationFilterImpl

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl.AnnotationFilterImpl

All Implemented Interfaces:
  GenBaseImpl.AnnotationFilter

Enclosing class:
  GenBaseImpl

    protected static class GenBaseImpl.AnnotationFilterImpl

extends java.lang.Object
implements GenBaseImpl.AnnotationFilter

Constructor Summary
`GenBaseImpl.AnnotationFilterImpl()`

Method Summary
`boolean` `accept(EModelElement eModelElement, java.lang.String source, java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenBaseImpl.AnnotationFilterImpl

    public GenBaseImpl.AnnotationFilterImpl()

Method Detail

### accept

    public boolean accept(EModelElement eModelElement,
                          java.lang.String source,
                          java.lang.String key,
                          java.lang.String value)

  Specified by:
    `accept` in interface `GenBaseImpl.AnnotationFilter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.